## org.eclipse.emf.ecore.util
Class FeatureMapUtil.FeatureEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureEList<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Direct Known Subclasses:
  FeatureMapUtil.FeatureEList.Basic, FeatureMapUtil.FeatureFeatureMap

Enclosing class:
  FeatureMapUtil

    public static class FeatureMapUtil.FeatureEList<E>

extends java.util.AbstractList<E>
implements InternalEList.Unsettable<E>, EStructuralFeature.Setting

Nested Class Summary
`static class` `FeatureMapUtil.FeatureEList.Basic<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary
`protected EStructuralFeature` `feature`
`protected FeatureMap.Internal` `featureMap`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FeatureMapUtil.FeatureEList(EStructuralFeature feature, FeatureMap.Internal featureMap)`

Method Summary
`void` `add(int index, java.lang.Object object)`
`boolean` `add(java.lang.Object object)`
`boolean` `addAll(java.util.Collection<? extends E> collection)`
`boolean` `addAll(int index, java.util.Collection<? extends E> collection)`
`boolean` `addAllUnique(java.util.Collection<? extends E> collection)` Adds the objects without verifying uniqueness.
`boolean` `addAllUnique(FeatureMap.Entry.Internal[] entries, int start, int end)`
`boolean` `addAllUnique(int index, java.util.Collection<? extends E> collection)` Adds the objects without verifying uniqueness.
`boolean` `addAllUnique(int index, FeatureMap.Entry.Internal[] entries, int start, int end)`
`void` `addUnique(FeatureMap.Entry.Internal entry)`
`void` `addUnique(int index, java.lang.Object object)` Adds the object without verifying uniqueness.
`void` `addUnique(java.lang.Object object)` Adds the object without verifying uniqueness.
`NotificationChain` `basicAdd(E object, NotificationChain notifications)` Adds the object without updating the inverse.
`boolean` `basicContains(java.lang.Object object)` Returns whether the object is contained within the list of unresolved values.
`boolean` `basicContainsAll(java.util.Collection<?> collection)` Returns whether each object in the collection is contained within the list of unresolved values.
`E` `basicGet(int index)` Returns the unresolved value.
`int` `basicIndexOf(java.lang.Object object)` Returns the index of the object within the list of unresolved values.
`java.util.Iterator<E>` `basicIterator()` Returns an iterator that yields unresolved values.
`int` `basicLastIndexOf(java.lang.Object object)` Returns the last index of the object within the list of unresolved values.
`java.util.List<E>` `basicList()` Returns an unmodifiable list that yields unresolved values.
`java.util.ListIterator<E>` `basicListIterator()` Returns a list iterator that yields unresolved values.
`java.util.ListIterator<E>` `basicListIterator(int index)` Returns a list iterator that yields unresolved values.
`NotificationChain` `basicRemove(java.lang.Object object, NotificationChain notifications)` Removes the object with without updating the inverse.
`java.lang.Object[]` `basicToArray()` Returns the array with unresolved values.

`

`<T> T[]`

`

`basicToArray(T[] array)`
Returns the array with unresolved values.

`void` `clear()`
`boolean` `contains(java.lang.Object object)`
`boolean` `containsAll(java.util.Collection<?> collection)`
`java.lang.Object` `get(boolean resolve)` Returns the value held by the feature of the object; it optionally `resolves` the value.
`E` `get(int index)`
`EObject` `getEObject()` Returns the object holding a value.
`EStructuralFeature` `getEStructuralFeature()` Returns the specific feature holding a value for the object.
`java.lang.Object` `getFeature()`
`int` `getFeatureID()`
`int` `indexOf(java.lang.Object object)`
`boolean` `isEmpty()`
`boolean` `isSet()` Returns whether a value is held by the feature of the object.
`java.util.Iterator<E>` `iterator()`
`int` `lastIndexOf(java.lang.Object object)`
`java.util.ListIterator<E>` `listIterator()`
`java.util.ListIterator<E>` `listIterator(int index)`
`E` `move(int targetIndex, int sourceIndex)` Moves the object from the old position to the new position.
`void` `move(int index, java.lang.Object object)` Moves the object to the new position, if is in the list.
`E` `remove(int index)`
`boolean` `remove(java.lang.Object object)`
`boolean` `removeAll(java.util.Collection<?> collection)`
`boolean` `retainAll(java.util.Collection<?> collection)`
`E` `set(int index, E object)`
`void` `set(java.lang.Object newValue)` Set the value held by the feature of the object.
`E` `setUnique(int index, E object)` Sets the object without verifying uniqueness.
`int` `size()`
`java.lang.Object[]` `toArray()`

`

`<T> T[]`

`

`toArray(T[] array)`

`java.lang.String` `toString()`
`void` `unset()` Unsets the value held by the feature of the object.

Methods inherited from class java.util.AbstractList
`equals, hashCode, removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode, subList`

Field Detail

### feature

    protected EStructuralFeature feature

### featureMap

    protected FeatureMap.Internal featureMap

Constructor Detail

### FeatureMapUtil.FeatureEList

    public FeatureMapUtil.FeatureEList(EStructuralFeature feature,
                                       FeatureMap.Internal featureMap)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`
  Specified by:
    `size` in interface `java.util.List<E>`
  Specified by:
    `size` in class `java.util.AbstractCollection<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<E>`
  Specified by:
    `isEmpty` in interface `java.util.List<E>`
  Overrides:
    `isEmpty` in class `java.util.AbstractCollection<E>`

### contains

    public boolean contains(java.lang.Object object)

  Specified by:
    `contains` in interface `java.util.Collection<E>`
  Specified by:
    `contains` in interface `java.util.List<E>`
  Overrides:
    `contains` in class `java.util.AbstractCollection<E>`

### indexOf

    public int indexOf(java.lang.Object object)

  Specified by:
    `indexOf` in interface `java.util.List<E>`
  Overrides:
    `indexOf` in class `java.util.AbstractList<E>`

### lastIndexOf

    public int lastIndexOf(java.lang.Object object)

  Specified by:
    `lastIndexOf` in interface `java.util.List<E>`
  Overrides:
    `lastIndexOf` in class `java.util.AbstractList<E>`

### containsAll

    public boolean containsAll(java.util.Collection<?> collection)

  Specified by:
    `containsAll` in interface `java.util.Collection<E>`
  Specified by:
    `containsAll` in interface `java.util.List<E>`
  Overrides:
    `containsAll` in class `java.util.AbstractCollection<E>`

### iterator

    public java.util.Iterator<E> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.util.List<E>`
  Overrides:
    `iterator` in class `java.util.AbstractList<E>`

### listIterator

    public java.util.ListIterator<E> listIterator()

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Overrides:
    `listIterator` in class `java.util.AbstractList<E>`

### listIterator

    public java.util.ListIterator<E> listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Overrides:
    `listIterator` in class `java.util.AbstractList<E>`

### basicGet

    public E basicGet(int index)

  Description copied from interface: `InternalEList`
  Returns the unresolved value.

  Specified by:
    `basicGet` in interface `InternalEList<E>`

### basicList

    public java.util.List<E> basicList()

  Description copied from interface: `InternalEList`
  Returns an unmodifiable list that yields unresolved values.

  Specified by:
    `basicList` in interface `InternalEList<E>`

### basicIterator

    public java.util.Iterator<E> basicIterator()

  Description copied from interface: `InternalEList`
  Returns an iterator that yields unresolved values.

  Specified by:
    `basicIterator` in interface `InternalEList<E>`

### basicListIterator

    public java.util.ListIterator<E> basicListIterator()

  Description copied from interface: `InternalEList`
  Returns a list iterator that yields unresolved values.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`

### basicListIterator

    public java.util.ListIterator<E> basicListIterator(int index)

  Description copied from interface: `InternalEList`
  Returns a list iterator that yields unresolved values.

  Specified by:
    `basicListIterator` in interface `InternalEList<E>`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection<E>`
  Specified by:
    `toArray` in interface `java.util.List<E>`
  Overrides:
    `toArray` in class `java.util.AbstractCollection<E>`

### toArray

    public <T> T[] toArray(T[] array)

  Specified by:
    `toArray` in interface `java.util.Collection<E>`
  Specified by:
    `toArray` in interface `java.util.List<E>`
  Overrides:
    `toArray` in class `java.util.AbstractCollection<E>`

### basicContains

    public boolean basicContains(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Returns whether the object is contained within the list of unresolved values.

  Specified by:
    `basicContains` in interface `InternalEList<E>`

### basicContainsAll

    public boolean basicContainsAll(java.util.Collection<?> collection)

  Description copied from interface: `InternalEList`
  Returns whether each object in the collection is contained within the list of unresolved values.

  Specified by:
    `basicContainsAll` in interface `InternalEList<E>`

### basicIndexOf

    public int basicIndexOf(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Returns the index of the object within the list of unresolved values.

  Specified by:
    `basicIndexOf` in interface `InternalEList<E>`

### basicLastIndexOf

    public int basicLastIndexOf(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Returns the last index of the object within the list of unresolved values.

  Specified by:
    `basicLastIndexOf` in interface `InternalEList<E>`

### basicToArray

    public java.lang.Object[] basicToArray()

  Description copied from interface: `InternalEList`
  Returns the array with unresolved values.

  Specified by:
    `basicToArray` in interface `InternalEList<E>`

### basicToArray

    public <T> T[] basicToArray(T[] array)

  Description copied from interface: `InternalEList`
  Returns the array with unresolved values.

  Specified by:
    `basicToArray` in interface `InternalEList<E>`

### add

    public boolean add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.Collection<E>`
  Specified by:
    `add` in interface `java.util.List<E>`
  Overrides:
    `add` in class `java.util.AbstractList<E>`

### add

    public void add(int index,
                    java.lang.Object object)

  Specified by:
    `add` in interface `java.util.List<E>`
  Overrides:
    `add` in class `java.util.AbstractList<E>`

### addAll

    public boolean addAll(java.util.Collection<? extends E> collection)

  Specified by:
    `addAll` in interface `java.util.Collection<E>`
  Specified by:
    `addAll` in interface `java.util.List<E>`
  Overrides:
    `addAll` in class `java.util.AbstractCollection<E>`

### addAll

    public boolean addAll(int index,
                          java.util.Collection<? extends E> collection)

  Specified by:
    `addAll` in interface `java.util.List<E>`
  Overrides:
    `addAll` in class `java.util.AbstractList<E>`

### addUnique

    public void addUnique(java.lang.Object object)

  Description copied from interface: `InternalEList`
  Adds the object without verifying uniqueness.

  Specified by:
    `addUnique` in interface `InternalEList<E>`

### addUnique

    public void addUnique(int index,
                          java.lang.Object object)

  Description copied from interface: `InternalEList`
  Adds the object without verifying uniqueness.

  Specified by:
    `addUnique` in interface `InternalEList<E>`

### addAllUnique

    public boolean addAllUnique(java.util.Collection<? extends E> collection)

  Description copied from interface: `InternalEList`
  Adds the objects without verifying uniqueness.

  Specified by:
    `addAllUnique` in interface `InternalEList<E>`

### addAllUnique

    public boolean addAllUnique(int index,
                                java.util.Collection<? extends E> collection)

  Description copied from interface: `InternalEList`
  Adds the objects without verifying uniqueness.

  Specified by:
    `addAllUnique` in interface `InternalEList<E>`

### addUnique

    public void addUnique(FeatureMap.Entry.Internal entry)

### addAllUnique

    public boolean addAllUnique(FeatureMap.Entry.Internal[] entries,
                                int start,
                                int end)

### addAllUnique

    public boolean addAllUnique(int index,
                                FeatureMap.Entry.Internal[] entries,
                                int start,
                                int end)

### basicAdd

    public NotificationChain basicAdd(E object,
                                      NotificationChain notifications)

  Description copied from interface: `InternalEList`
  Adds the object without updating the inverse.

  Specified by:
    `basicAdd` in interface `InternalEList<E>`

### remove

    public boolean remove(java.lang.Object object)

  Specified by:
    `remove` in interface `java.util.Collection<E>`
  Specified by:
    `remove` in interface `java.util.List<E>`
  Overrides:
    `remove` in class `java.util.AbstractCollection<E>`

### remove

    public E remove(int index)

  Specified by:
    `remove` in interface `java.util.List<E>`
  Overrides:
    `remove` in class `java.util.AbstractList<E>`

### basicRemove

    public NotificationChain basicRemove(java.lang.Object object,
                                         NotificationChain notifications)

  Description copied from interface: `InternalEList`
  Removes the object with without updating the inverse.

  Specified by:
    `basicRemove` in interface `InternalEList<E>`

### removeAll

    public boolean removeAll(java.util.Collection<?> collection)

  Specified by:
    `removeAll` in interface `java.util.Collection<E>`
  Specified by:
    `removeAll` in interface `java.util.List<E>`
  Overrides:
    `removeAll` in class `java.util.AbstractCollection<E>`

### retainAll

    public boolean retainAll(java.util.Collection<?> collection)

  Specified by:
    `retainAll` in interface `java.util.Collection<E>`
  Specified by:
    `retainAll` in interface `java.util.List<E>`
  Overrides:
    `retainAll` in class `java.util.AbstractCollection<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<E>`
  Specified by:
    `clear` in interface `java.util.List<E>`
  Overrides:
    `clear` in class `java.util.AbstractList<E>`

### move

    public void move(int index,
                     java.lang.Object object)

  Description copied from interface: `EList`
  Moves the object to the new position, if is in the list.

  Specified by:
    `move` in interface `EList<E>`
  Parameters:
    `index` - the position of the object after the move.
    `object` - the object to move.

### move

    public E move(int targetIndex,
                  int sourceIndex)

  Description copied from interface: `EList`
  Moves the object from the old position to the new position.

  Specified by:
    `move` in interface `EList<E>`
  Parameters:
    `targetIndex` - the position of the object after the move.
    `sourceIndex` - the position of the object before the move.
  Returns:
    the moved object.

### get

    public E get(int index)

  Specified by:
    `get` in interface `java.util.List<E>`
  Specified by:
    `get` in class `java.util.AbstractList<E>`

### set

    public E set(int index,
                 E object)

  Specified by:
    `set` in interface `java.util.List<E>`
  Overrides:
    `set` in class `java.util.AbstractList<E>`

### setUnique

    public E setUnique(int index,
                       E object)

  Description copied from interface: `InternalEList`
  Sets the object without verifying uniqueness.

  Specified by:
    `setUnique` in interface `InternalEList<E>`

### get

    public java.lang.Object get(boolean resolve)

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the value held by the feature of the object; it optionally `resolves` the value.

  Specified by:
    `get` in interface `EStructuralFeature.Setting`
  Parameters:
    `resolve` - whether to resolve.
  Returns:
    the value held by the feature of the object.
  See Also:
    `EObject.eGet(EStructuralFeature, boolean)`

### set

    public void set(java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Setting`
  Set the value held by the feature of the object. If the new value is this setting itself, or is modified as a side effect of modifying this setting (i.e., if it is a view on the setting), the behavior is undefined and will likely result in simply clearing the list.

  Specified by:
    `set` in interface `EStructuralFeature.Setting`
  Parameters:
    `newValue` - the newValue.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### isSet

    public boolean isSet()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns whether a value is held by the feature of the object.

  Specified by:
    `isSet` in interface `EStructuralFeature.Setting`
  Specified by:
    `isSet` in interface `InternalEList.Unsettable<E>`
  Returns:
    whether a value is held by the feature of the object.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    public void unset()

  Description copied from interface: `EStructuralFeature.Setting`
  Unsets the value held by the feature of the object.

  Specified by:
    `unset` in interface `EStructuralFeature.Setting`
  Specified by:
    `unset` in interface `InternalEList.Unsettable<E>`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### getFeature

    public java.lang.Object getFeature()

### getFeatureID

    public int getFeatureID()

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the specific feature holding a value for the object.

  Specified by:
    `getEStructuralFeature` in interface `EStructuralFeature.Setting`
  Returns:
    the specific feature holding a value for the object.

### getEObject

    public EObject getEObject()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the object holding a value.

  Specified by:
    `getEObject` in interface `EStructuralFeature.Setting`
  Returns:
    the object holding a value.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.